The Item Website Specification object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string
parent_type string
label string
description string
The Item Website Specification object
{
  "id": "item-website-specification_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "label": "label_example",
  "description": "description_example"
}
GET /api/stock/item-website-specification?parent_id={id}

List item website specifications by parent

Returns all item website specifications belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of item website specification objects belonging to the parent.

GET /api/stock/item-website-specification?parent_id={id}
curl https://api.overplane.dev/api/stock/item-website-specification?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item-website-specification_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "label": "label_example",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/item-website-specification

Create a item website specification

Creates a new item website specification object.

Body parameters

idx integer
parent_id string
parent_type string
label string
description string

Returns

Returns the newly created item website specification object if the call succeeded.

POST /api/stock/item-website-specification
curl https://api.overplane.dev/api/stock/item-website-specification \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "item-website-specification_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "label": "label_example",
  "description": "description_example"
}
PATCH /api/stock/item-website-specification/{id}

Update a item website specification

Updates the specified item website specification by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item website specification to update.

Body parameters

idx integer
parent_id string
parent_type string
label string
description string

Returns

Returns the updated item website specification object.

PATCH /api/stock/item-website-specification/{id}
curl https://api.overplane.dev/api/stock/item-website-specification/item-website-specification_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "item-website-specification_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "label": "label_example",
  "description": "description_example"
}
DELETE /api/stock/item-website-specification/{id}

Delete a item website specification

Permanently deletes a item website specification. This cannot be undone.

Path parameters

id string required

The identifier of the item website specification to delete.

Returns

Returns a confirmation that the item website specification has been deleted.

DELETE /api/stock/item-website-specification/{id}
curl https://api.overplane.dev/api/stock/item-website-specification/item-website-specification_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item-website-specification_abc123",
  "deleted": true
}
POST /api/stock/item-website-specification/reorder

Reorder item website specifications

Updates the sort order of item website specifications within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/stock/item-website-specification/reorder
curl https://api.overplane.dev/api/stock/item-website-specification/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "item-website-specification_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "label": "label_example",
  "description": "description_example"
}